Subject: Re: bug#8955: 24.0.50; [EasyPG/Gnus] always pick up the first key from `gpg --list-key $RECEIVER`

From: Luca Capello <[email-masked]>
Date: Sun, 18 Sep 2011 11:49:52 +0200

Hi there!

On Thu, 04 Aug 2011 09:01:35 +0200, Daiki Ueno wrote:
> Luca Capello <[email-masked]> writes:
>
>> This is nothing more than #7797, but from the receiver POV:
>>
>>   <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7797>
>
>> Debugger entered--Lisp error: (error "Sign failed: ((exit) (invalid-recipient (reason . 0) (requested-recipient . \"F2B52A5D0A5FB687\")))")
>>   mml1991-epg-encrypt((part (sign . "pgp") (encrypt . "pgp") (tag-location . 853) (contents . "[REMOVED]")) t)
>
> mml1991.el (for non-MIME messages) is not updated well as mml2015.el
> (for MIME message).  I've just checked in a fix:
>
> http://bzr.savannah.gnu.org/lh/emacs/trunk/revision/105399
>
> Could you test it?

Here I am, with "some" delay.  How I tested it:

1) check that `gpg --list-key gaudenz <at> debian.org` outputs keys in
   the same order as when I reported the bug
2) enable `epg-debug'
2) send a `mml-secure-message-encrypt-pgpmime' email

Everything works as expected, thus closing this bug.  Thank you!

Thx, bye,
Gismo / Luca